summaryrefslogtreecommitdiffstats
path: root/source/n/openvpn/openvpn.SlackBuild
diff options
context:
space:
mode:
Diffstat (limited to 'source/n/openvpn/openvpn.SlackBuild')
-rwxr-xr-xsource/n/openvpn/openvpn.SlackBuild8
1 files changed, 5 insertions, 3 deletions
diff --git a/source/n/openvpn/openvpn.SlackBuild b/source/n/openvpn/openvpn.SlackBuild
index 8477c453d..7293806c3 100755
--- a/source/n/openvpn/openvpn.SlackBuild
+++ b/source/n/openvpn/openvpn.SlackBuild
@@ -1,7 +1,7 @@
#!/bin/sh
# Copyright 2006, Alan Hicks, Lizella, GA
-# Copyright 2008, 2009, 2010, 2011 Patrick J. Volkerding, Sebeka, MN, USA
+# Copyright 2008, 2009, 2010, 2011, 2013 Patrick J. Volkerding, Sebeka, MN, USA
# All rights reserved.
#
# Redistribution and use of this script, with or without modification, is
@@ -23,7 +23,7 @@
PKGNAM=openvpn
-VERSION=2.2.2
+VERSION=2.3.2
BUILD=${BUILD:-1}
# Automatically determine the architecture we're building on:
@@ -60,7 +60,7 @@ rm -rf $PKG
mkdir -p $TMP $PKG
cd $TMP
rm -rf $PKGNAM-$VERSION
-tar xvf $CWD/$PKGNAM-$VERSION.tar.gz || exit 1
+tar xvf $CWD/$PKGNAM-$VERSION.tar.xz || exit 1
cd $PKGNAM-$VERSION || exit 1
# Fix ownership and permissions inside the source tarball.
@@ -84,6 +84,8 @@ CXXFLAGS="$SLKCFLAGS" \
--docdir=/usr/doc/openvpn-${VERSION} \
--enable-lzo \
--enable-iproute2 \
+ --enable-password-save \
+ --disable-plugin-auth-pam \
--build=$ARCH-slackware-linux
make $NUMJOBS || make || exit 1